var testResource = require('../../../test_resource'),
    minifyHtmlFile = require('../../../../lib/minify/minify_html_file.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Minify html file.'] = function (test) {
    minifyHtmlFile(
        testResource.resolveMockFile('mock-html.html'),
        testResource.resolveWorkFile('work-html.min.html'),
        function (err) {
            test.ifError(err);
            test.done();
        }
    );
};